## org.eclipse.emf.ocl.uml
Interface Constraint

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier, Visitable

All Known Implementing Classes:
  ConstraintImpl

Deprecated. Use the `Constraint` interface, instead.

    @Deprecated
    public interface Constraint

extends ENamedElement, Visitable

Field Summary
`static String` `BODY` Deprecated. Stereotype applied to operation body conditions.
`static String` `copyright` Deprecated.
`static String` `DEFINITION` Deprecated. Stereotype applied definition expressions.
`static String` `DERIVATION` Deprecated. Stereotype applied derived value expressions.
`static String` `INITIAL` Deprecated. Stereotype applied initial value expressions.
`static String` `INVARIANT` Deprecated. Stereotype applied to classifier invariant constraints.
`static String` `POSTCONDITION` Deprecated. Stereotype applied to operation postcondition constraints.
`static String` `PRECONDITION` Deprecated. Stereotype applied to operation precondition constraints.

Method Summary
`OCLExpression` `getBody()` Deprecated.
`EList` `getConstrainedElement()` Deprecated.
`String` `getInstanceVarName()` Deprecated.
`String` `getStereotype()` Deprecated. Returns the value of the 'Stereotype' attribute
`void` `setBody(OCLExpression value)` Deprecated. Sets the value of the '`Body`' containment reference
`void` `setInstanceVarName(String instanceVarName)` Deprecated.
`void` `setStereotype(String value)` Deprecated. Sets the value of the '`Stereotype`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### INVARIANT

    static final String INVARIANT

  Deprecated.
  Stereotype applied to classifier invariant constraints.

  See Also:
    `getStereotype()`, Constant Field Values

### PRECONDITION

    static final String PRECONDITION

  Deprecated.
  Stereotype applied to operation precondition constraints.

  See Also:
    `getStereotype()`, Constant Field Values

### POSTCONDITION

    static final String POSTCONDITION

  Deprecated.
  Stereotype applied to operation postcondition constraints.

  See Also:
    `getStereotype()`, Constant Field Values

### BODY

    static final String BODY

  Deprecated.
  Stereotype applied to operation body conditions.

  See Also:
    `getStereotype()`, Constant Field Values

### DEFINITION

    static final String DEFINITION

  Deprecated.
  Stereotype applied definition expressions.

  See Also:
    `getStereotype()`, Constant Field Values

### INITIAL

    static final String INITIAL

  Deprecated.
  Stereotype applied initial value expressions.

  See Also:
    `getStereotype()`, Constant Field Values

### DERIVATION

    static final String DERIVATION

  Deprecated.
  Stereotype applied derived value expressions.

  See Also:
    `getStereotype()`, Constant Field Values

Method Detail

### getInstanceVarName

    String getInstanceVarName()

  Deprecated.

### setInstanceVarName

    void setInstanceVarName(String instanceVarName)

  Deprecated.

### getConstrainedElement

    EList getConstrainedElement()

  Deprecated.

### getStereotype

    String getStereotype()

  Deprecated.
  Returns the value of the 'Stereotype' attribute.

  If the meaning of the 'Stereotype' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stereotype' attribute.
  See Also:
    `setStereotype(String)`, `UMLPackage.getConstraint_Stereotype()`

### setStereotype

    void setStereotype(String value)

  Deprecated.
  Sets the value of the '`Stereotype`' attribute.

  Parameters:
    `value` - the new value of the 'Stereotype' attribute.
  See Also:
    `getStereotype()`

### getBody

    OCLExpression getBody()

  Deprecated.

### setBody

    void setBody(OCLExpression value)

  Deprecated.
  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.